GET
/
nps
/
tx
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/tx \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "transaction_id": "9e409c3b-a9b0-4225-80cf-f4da550153a4",
    "wallet_id": "e9167870-e18b-4e82-8b87-92ec7ede8e45",
    "chain_id": "BASE_ETH",
    "token_id": "USDT",
    "to": "0x728398976e145f022108ff633b8e52dd04c1f96c",
    "type": "Withdrawal",
    "status": "Completed",
    "amount": "0.01",
    "fee_ratio": "0.01",
    "fee_fixed": "0",
    "fee": "0.0001",
    "amount_actual": "0.01",
    "hash": "0xc3d598f711897faa970cf0db63236248c7b06579a0739c1395aeaddcc9147770",
    "payer": "User",
    "er": 1,
    "created_at": "2025-11-14T04:51:57.586Z",
    "confirmed_at": "2025-11-14T04:56:22.840Z",
    "completed_at": "2025-11-14T04:56:22.840Z"
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Query Parameters

transaction_id
string

Transaction ID (optional).

Example:

"01574789-f3ea-4f92-b6bb-1d4a40549be4"

request_id
string

Request ID (use this or transaction_id; not applicable to deposit transactions).

Example:

"96b79bcb-6d5a-44e7-9c02-0135f27c2973"

Response

Request succeeded. Returns the transaction details.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Transaction list.

msg
string

Error message. Present when status is non-zero.